Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357566 - Review Request: python-stdnum - Python module to handle standardized numbers and codes
Summary: Review Request: python-stdnum - Python module to handle standardized numbers ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1288935 1357295
TreeView+ depends on / blocked
 
Reported: 2016-07-18 14:01 UTC by Dan Horák
Modified: 2016-07-20 16:14 UTC (History)
3 users (show)

Fixed In Version: python-stdnum-1.3-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-20 16:14:00 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Dan Horák 2016-07-18 14:01:16 UTC
Spec URL: http://fedora.danny.cz/python-stdnum.spec
SRPM URL: http://fedora.danny.cz/python-stdnum-1.3-1.fc24.src.rpm
Description: 
Parse, validate and reformat standard numbers and codes. This library offers
functions for parsing, validating and reformatting standard numbers and codes
in various formats like personal IDs, VAT numbers, IBAN and more.

Fedora Account System Username: sharkcz

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14934387

Comment 1 Miro Hrončok 2016-07-19 09:37:55 UTC
1. %global with_check 0

Can you please use bcond here? It's more easy to operate with. http://www.rpm.org/wiki/PackagerDocs/ConditionalBuilds

2. BuildRequires:  python-sphinx

Why is that so?

Formal review will follow.

Comment 2 Miro Hrončok 2016-07-19 10:18:33 UTC
Package not approved (yet).

Issues:
=======

3.

Provides
--------
python2-stdnum:
    python-python-stdnum
    python2-stdnum

Should be python-stdnum, not python-python-stdnum

The problem lays here:

    %global pypi_name python-stdnum

You should use something like:

    %global srcname stdnum

Instead in this case and anywhere where you hardcode pythonX-stdnum, use pythonX-%{srcname} instead.


(I'm currently running the tests in mock and will report back from that as well)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-stdnum-1.3-1.fc23.noarch.rpm
          python3-stdnum-1.3-1.fc23.noarch.rpm
          python-stdnum-1.3-1.fc23.src.rpm
python-stdnum.src:55: W: setup-not-quiet
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-stdnum (rpmlib, GLIBC filtered):
    python(abi)

python3-stdnum (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-stdnum:
    python-python-stdnum
    python2-stdnum

python3-stdnum:
    python3-stdnum



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/python-stdnum/python-stdnum-1.3.tar.gz :
  CHECKSUM(SHA256) this package     : 3e33f1d3e15fb5fe68518ed8a41d0f3247703f3a8d53864005529441c5ddc9d9
  CHECKSUM(SHA256) upstream package : 3e33f1d3e15fb5fe68518ed8a41d0f3247703f3a8d53864005529441c5ddc9d9

Comment 3 Miro Hrončok 2016-07-19 10:41:19 UTC
4. python setup.py tests does:

a) nothing for py2
b) fails to connect to internet for py3

I don't know if this is the right way to invoke tests for this package, I'm experimenting with nosetests and it works locally and it doesn't seem any internet is required at all.

Comment 4 Miro Hrončok 2016-07-19 10:42:13 UTC
4. yes, see http://koji.fedoraproject.org/koji/taskinfo?taskID=14944302

BuildRequires:  python-nose
BuildRequires:  python3-nose

%check
LANG=C.utf-8 nosetests-%{python2_version} -v
LANG=C.utf-8 nosetests-%{python3_version} -v

Comment 5 Dan Horák 2016-07-20 07:22:56 UTC
Updated SRPM: http://fedora.danny.cz/python-stdnum-1.3-2.fc24.src.rpm
Updated spec: http://fedora.danny.cz/python-stdnum.spec

Changes:
- 1 + 4 - with_check removed, switched to nosetests
- 2 - remainder after removing building of the html docs
- 3 - switched to "python-%{srcname}" scheme

Comment 6 Miro Hrončok 2016-07-20 08:19:22 UTC
Package APPROVED.

Comment 7 Miro Hrončok 2016-07-20 08:33:59 UTC
Relevant pyp2rpm issue: https://github.com/fedora-python/pyp2rpm/issues/66

Comment 8 Gwyn Ciesla 2016-07-20 13:11:36 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-stdnum

Comment 9 Dan Horák 2016-07-20 16:14:00 UTC
Imported and built, thanks for the review.


Note You need to log in before you can comment on or make changes to this bug.